LibreOffice: UnoControlDateFieldModel Service Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Public Attributes | List of all members
UnoControlDateFieldModel Service Referencepublished

specifies the standard model of a UnoControlDateField. More...

`import <UnoControlDateFieldModel.idl;`

Inheritance diagram for UnoControlDateFieldModel:

## Included Services
service | com::sun::star::awt::UnoControlModel
Included Services inherited from UnoControlModel
service | com::sun::star::awt::UnoControlDialogElement
| This service is present when the control model is embedded in an UnoControlDialogModel.

## Public Attributes
com::sun::star::util::Color | BackgroundColor
| specifies the background color(RGB) of the control.
short | Border
| specifies the border style of the control.
long | BorderColor
| specifies the color of the border, if present
::com::sun::star::util::Date | Date
| specifies the date displayed in the control.
short | DateFormat
| specifies the format of the displayed date.
::com::sun::star::util::Date | DateMax
| specifies the maximum date that can be entered.
::com::sun::star::util::Date | DateMin
| specifies the minimum date that can be entered.
boolean | DateShowCentury
| specifies, if the date century is displayed.
boolean | Dropdown
| specifies, if the control has a dropdown button.
boolean | Enabled
| determines whether the control is enabled or disabled.
com::sun::star::awt::FontDescriptor | FontDescriptor
| specifies the font attributes of the text in the control.
short | FontEmphasisMark
| specifies the com::sun::star::text::FontEmphasis value of the text in the control.
short | FontRelief
| specifies the com::sun::star::text::FontRelief value of the text in the control.
string | HelpText
| specifies the help text of the control.
string | HelpURL
| specifies the help URL of the control.
boolean | HideInactiveSelection
| specifies whether the selection in the control should be hidden when the control is not active (focused).
boolean | Printable
| specifies that the control will be printed with the document.
boolean | ReadOnly
| specifies that the content of the control cannot be modified by the user.
boolean | Repeat
| specifies whether the mouse should show repeating behavior, i.e.
long | RepeatDelay
| specifies the mouse repeat delay, in milliseconds.
boolean | Spin
| specifies that the control has a spin button.
boolean | StrictFormat
| specifies that the date is checked during the user input.
boolean | Tabstop
| specifies that the control can be reached with the TAB key.
string | Text
| specifies the text displayed in the control.
com::sun::star::util::Color | TextColor
| specifies the text color (RGB) of the control.
com::sun::star::util::Color | TextLineColor
| specifies the text line color (RGB) of the control.
short | WritingMode
| denotes the writing mode used in the control, as specified in the com::sun::star::text::WritingMode2 constants group.
short | MouseWheelBehavior
| defines how the mouse wheel can be used to scroll through the control's content.
com::sun::star::style::VerticalAlignment | VerticalAlign
| specifies the vertical alignment of the text in the control.
com::sun::star::util::Color | HighlightColor
| specifies the background color (RGB) of selected text in the control which is highlighted.
com::sun::star::util::Color | HighlightTextColor
| specifies the text color (RGB) of selected text in the control which is highlighted.
Public Attributes inherited from UnoControlModel
string | DefaultControl
| specifies the service name of the default control for this model.

## Additional Inherited Members
Exported Interfaces inherited from UnoControlModel
interface | com::sun::star::awt::XControlModel
interface | com::sun::star::lang::XComponent
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XMultiPropertySet
interface | com::sun::star::io::XPersistObject
interface | com::sun::star::util::XCloneable
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names.
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names.
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list.
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener.
Public Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream.
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream.
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names.
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names.
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list.
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener.
Protected Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream.
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream.
Protected Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.
Protected Attributes inherited from UnoControlDialogElement
long | Height
| specifies the height of the control.
string | Name
| specifies the name of the control.
string | PositionX
| specifies the horizontal position of the control.
string | PositionY
| specifies the vertical position of the control.
long | Step
| specifies the step of the control.
short | TabIndex
| specifies the tabindex of the control.
string | Tag
| specifies the tag of the control.
long | Width
| specifies the width of the control.

## Detailed Description

specifies the standard model of a UnoControlDateField.

## Exported Interfaces

## ◆ com::sun::star::awt::UnoControlModel

service com::sun::star::awt::UnoControlModel

## Member Data Documentation

## ◆ BackgroundColor

com::sun::star::util::Color BackgroundColor
| property

specifies the background color(RGB) of the control.

## ◆ Border

short Border
| property

specifies the border style of the control.

    0: No border
    1: 3D border
    2: simple border

## ◆ BorderColor

long BorderColor
| optionalproperty

specifies the color of the border, if present

Not every border style (see Border) may support coloring. For instance, usually a border with 3D effect will ignore the BorderColor setting.

Since
  OOo 2.0

## ◆ Date

::com::sun::star::util::Date Date
| property

specifies the date displayed in the control.

## ◆ DateFormat

short DateFormat
| property

specifies the format of the displayed date.

    0:   system short
    1:   system short YY
    2:   system short YYYY
    3:   system long
    4:   short DDMMYY
    5:   short MMDDYY
    6:   short YYMMDD
    7:   short DDMMYYYY
    8:   short MMDDYYYY
    9:   short YYYYMMDD
    10:  short YYMMDD DIN5008
    11:  short YYYYMMDD DIN5008

## ◆ DateMax

::com::sun::star::util::Date DateMax
| property

specifies the maximum date that can be entered.

## ◆ DateMin

::com::sun::star::util::Date DateMin
| property

specifies the minimum date that can be entered.

## ◆ DateShowCentury

boolean DateShowCentury
| property

specifies, if the date century is displayed.

## ◆ Dropdown

boolean Dropdown
| property

specifies, if the control has a dropdown button.

## ◆ Enabled

boolean Enabled
| property

determines whether the control is enabled or disabled.

## ◆ FontDescriptor

com::sun::star::awt::FontDescriptor FontDescriptor
| property

specifies the font attributes of the text in the control.

## ◆ FontEmphasisMark

short FontEmphasisMark
| property

specifies the com::sun::star::text::FontEmphasis value of the text in the control.

## ◆ FontRelief

short FontRelief
| property

specifies the com::sun::star::text::FontRelief value of the text in the control.

## ◆ HelpText

string HelpText
| property

specifies the help text of the control.

## ◆ HelpURL

string HelpURL
| property

specifies the help URL of the control.

## ◆ HideInactiveSelection

boolean HideInactiveSelection
| optionalproperty

specifies whether the selection in the control should be hidden when the control is not active (focused).

Since
  OOo 2.0

## ◆ HighlightColor

com::sun::star::util::Color HighlightColor
| optionalproperty

specifies the background color (RGB) of selected text in the control which is highlighted.

Since
  LibreOffice 7.5

## ◆ HighlightTextColor

com::sun::star::util::Color HighlightTextColor
| optionalproperty

specifies the text color (RGB) of selected text in the control which is highlighted.

Since
  LibreOffice 7.5

## ◆ MouseWheelBehavior

short MouseWheelBehavior
| optionalproperty

defines how the mouse wheel can be used to scroll through the control's content.

Usually, the mouse wheel spins the numeric value displayed in the control. Using this property, and one of the MouseWheelBehavior constants, you can control under which circumstances this is possible.

## ◆ Printable

boolean Printable
| property

specifies that the control will be printed with the document.

## ◆ ReadOnly

boolean ReadOnly
| property

specifies that the content of the control cannot be modified by the user.

## ◆ Repeat

boolean Repeat
| optionalproperty

specifies whether the mouse should show repeating behavior, i.e.

repeatedly trigger an action when keeping pressed.

Since
  OOo 2.0

## ◆ RepeatDelay

long RepeatDelay
| optionalproperty

specifies the mouse repeat delay, in milliseconds.

When the user presses a mouse in a control area where this triggers an action (such as spinning the value), then usual control implementations allow to repeatedly trigger this action, without the need to release the mouse button and to press it again. The delay between two such triggers is specified with this property.

Since
  OOo 2.0

## ◆ Spin

boolean Spin
| property

specifies that the control has a spin button.

## ◆ StrictFormat

boolean StrictFormat
| property

specifies that the date is checked during the user input.

## ◆ Tabstop

boolean Tabstop
| property

specifies that the control can be reached with the TAB key.

## ◆ Text

string Text
| optionalproperty

specifies the text displayed in the control.

Since
  OOo 2.0

## ◆ TextColor

com::sun::star::util::Color TextColor
| property

specifies the text color (RGB) of the control.

## ◆ TextLineColor

com::sun::star::util::Color TextLineColor
| property

specifies the text line color (RGB) of the control.

## ◆ VerticalAlign

com::sun::star::style::VerticalAlignment VerticalAlign
| optionalproperty

specifies the vertical alignment of the text in the control.

Since
  OOo 3.3

## ◆ WritingMode

short WritingMode
| optionalproperty

denotes the writing mode used in the control, as specified in the com::sun::star::text::WritingMode2 constants group.

Only com::sun::star::text::WritingMode2::LR_TB and com::sun::star::text::WritingMode2::RL_TB are supported at the moment.

Since
  OOo 3.1

The documentation for this service was generated from the following file:

- com/sun/star/awt/UnoControlDateFieldModel.idl